Package csb :: Package bio :: Package fragments :: Class ChemShiftAssignment

[frames] | no frames]

# Class ChemShiftAssignment

source code

       object --+
                |
    FragmentMatch --+
                    |
           Assignment --+
                        |
                       ChemShiftAssignment

Instance Methods

__init__(self, source, start, end, qstart, qend, window, score, rmsd) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `Assignment`: `anchored_around`, `backbone_at`, `mda_to`, `nrmsd_to`, `overlap`, `rmsd_to`, `sec_structure_at`, `torsion_at`, `transform` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `Assignment`: `from_fragment`

Class Variables
| BIT_SCORE_THRESHOLD = `1.1`

Properties
| window
Inherited from `Assignment`: `backbone`, `end`, `neff`, `score`, `secondary_structure`, `sequence`, `source_id`, `start`, `torsion` Inherited from `FragmentMatch`: `id`, `length`, `probability`, `qend`, `qlength`, `qstart`, `rmsd`, `tm_score` Inherited from `object`: `__class__`

Method Details

### __init__(self, source, start, end, qstart, qend, window, score, rmsd)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `source` - source structure (must have torsion angles precomputed)
  - `start` - start position in `source` (rank)
  - `end` - end position in `source` (rank)
  - `id` - fragment ID
  - `qstart` - start position in target (rank)
  - `qend` - end position in target (rank)
  - `probability` - probability of assignment
  - `rmsd` - RMSD of the fragment, compared to target's native structure
Overrides: object.__init__
  (inherited documentation)

Property Details

### window

Get Method:
  unreachable.window(self)